@import 'jmu.css';
@import 'fonts.css';
@import 'code.css';

html { scroll-behavior: smooth; } 

code { color: var(--jmu-slate); }

/* Top navbar gold/purple with hover toggles */
.navbar-kirkpams { background-color: var(--jmu-purple); }
.navbar .nav-link { color: var(--jmu-light-purple); color: rgb( from var(--jmu-goldband) r g b / .75); }
.navbar .nav-link.active { font-weight: 800; color: var(--jmu-goldband); }
.navbar .nav-link:not(.active):hover { color: var(--jmu-goldband); }

/* Links - purple, slightly greater weight */
a, button { font-weight: 500; color: var(--jmu-purple); }
a:hover { color: var(--jmu-med-purple); }

/* All sections have bottom borders */
section { border-bottom: 1px solid var(--jmu-light-gray) }
/* Sections that are columns also have right borders */
section.col:not(:last-child) { border-right: 1px solid var(--jmu-light-gray) }

/* If there is a sidebar, articles have left and right borders */
@media (min-width: 992px) {
  .cs-layout {
	  article { border-left: 1px solid var(--jmu-light-gray) !important;
	    border-right: 1px solid var(--jmu-light-gray) !important; }
  }
}

/* Page titles - light gray background, padding, margin */
.cs-title { background: var(--jmu-lighter-gray); }

/* Table of contents - links shadow to left for navigation, no underline */
.toc-nav a { box-shadow: -2px 0 0 0 var(--jmu-light-gray); text-decoration: none; 
             margin-left: 1.5rem; padding-left: 0.5rem; padding-bottom: 0.5rem; }
.toc-nav a.active { box-shadow: -3px 0 0 0 var(--jmu-slate); }

/* Sections - slate */
section > h2, section > h3 { color: var(--jmu-slate); }

/* Schedule weeks - no underline links, background headers */
.week330, .week343, .week361 {
	a { text-decoration: none; }
	h2 { background: var(--jmu-light-gold); }
	.topics-list {
		border-radius: var(--bs-border-radius); border: 1px solid var(--jmu-light-gray);
		div.topic { border-bottom: 1px solid var(--jmu-light-gray); }
		div.topic:last-child { border-bottom: 0; }
	}
	.topics-table {
		border-radius: var(--bs-border-radius) !important;
		border: 1px solid var(--jmu-light-gray) !important;
		.topics-head { background: var(--jmu-lighter-gray); font-weight: 600; text-align: center;
			border-bottom: 1px solid var(--jmu-light-gray) !important;
		}
		div:not(:nth-child(3n+1)) { border-left: 1px solid var(--jmu-light-gray) !important; }
	}
	ul { list-style: none; border-radius: var(--bs-border-radius); border: 1px solid var(--jmu-light-gray); }
	.cs-list-item { font: var(--cs-sans); font-size: 0.9rem; }
	.cs-list-item:hover { background: var(--jmu-lighter-gray); }
	.cs-list-item:not(:first-child) { border-top: 1px solid var(--jmu-light-gray); }
	.mquiz, .mquiz:hover, .prep, .prep:hover, .lab, .lab:hover { background: var(--jmu-light-purple); font-size: 1rem; }
	.none, .none:hover { background: var(--jmu-lighter-gray); }
}


.milestone { background: var(--jmu-purple); margin-bottom: 1rem !important; }
.milestone a { text-decoration: none; color: var(--jmu-goldband); }
.milestone a:hover { color: rgb( from var(--jmu-goldband) r g b / .75); }
.break { background: var(--jmu-light-blue); margin-bottom: 1.5rem !important; }
.break h2 { color: var(--jmu-slate); }
.cs-hide-toggle.navbar-toggler { display: none !important; }

.pubs h3 { font-size: 1.2rem; }

footer { div#copyright-bar { background: var(--jmu-purple); color: var(--jmu-light-gray); } }

.cs-sidebar {
	nav { width: 100%; }
	nav ul { list-style: none; }
	nav strong { display: flex; align-items: center; width: 100%; font-weight: 600; }
	nav a { text-decoration: none; }
	svg.rotate-icon { transition: transform 0.3s ease; }
	a.side-toggle[aria-expanded="true"] > svg.rotate-icon { transform: rotate(90deg); }
  li ul { 
		border-radius: var(--bs-border-radius);
		li { 
			border-bottom: 1px solid var(--jmu-light-gray);
			border-right: 1px solid var(--jmu-light-gray);
		}
		li:hover { background: var(--bs-light); }
		li:first-child { border-top: 1px solid var(--jmu-light-gray); border-top-right-radius: var(--bs-border-radius); }
		li:last-child { border-bottom-right-radius: var(--bs-border-radius); }
	}
}

.cs-code {
	background: var(--jmu-lighter-gray);
	font-family: var(--cs-mono);
	border: 1px solid var(--jmu-dark-gray);
}
